Download a file
Streams one stored file out, with its Content-Type, Content-Length and file name. Range is honoured (206 with Content-Range). For token callers (daemons, scripts).
Requires a realm member (or higher) with the runs.view permission on the realm that owns the artifact given by artifact_id. A daemon’s realm token (cliq_dt_…) from the same realm may also read it. Pending: uploader only.
POST
/
v1
/
artifacts
/
download
Download a file
curl --request POST \
--url https://{host}/v1/artifacts/download \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"artifact_id": "8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f"
}
'import requests
url = "https://{host}/v1/artifacts/download"
payload = { "artifact_id": "8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({artifact_id: '8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f'})
};
fetch('https://{host}/v1/artifacts/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/artifacts/download",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'artifact_id' => '8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/artifacts/download"
payload := strings.NewReader("{\n \"artifact_id\": \"8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/artifacts/download")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"artifact_id\": \"8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/artifacts/download")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"artifact_id\": \"8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {}
}
Authorizations
User PAT (cliq_tok_…, including session-scoped) or realm token (cliq_dt_…).
Body
application/json
Artifact UUID
Minimum string length:
1⌘I
Download a file
curl --request POST \
--url https://{host}/v1/artifacts/download \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"artifact_id": "8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f"
}
'import requests
url = "https://{host}/v1/artifacts/download"
payload = { "artifact_id": "8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({artifact_id: '8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f'})
};
fetch('https://{host}/v1/artifacts/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/artifacts/download",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'artifact_id' => '8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/artifacts/download"
payload := strings.NewReader("{\n \"artifact_id\": \"8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/artifacts/download")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"artifact_id\": \"8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/artifacts/download")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"artifact_id\": \"8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {}
}